package com.hongyegroup.cpt_newsfeed.router

import android.content.Context
import androidx.fragment.app.Fragment
import com.alibaba.android.arouter.facade.annotation.Route
import com.guadou.cs_router.ARouterPath
import com.guadou.cs_router.newsfeed.INewsFeedComponentServer
import com.hongyegroup.cpt_newsfeed.ui.activity.NewsFeedMainActivity
import com.hongyegroup.cpt_newsfeed.ui.activity.NewsFeedPostActivity
import com.hongyegroup.cpt_newsfeed.ui.fragment.NewsFeedMainFragment

@Route(path = ARouterPath.PATH_SERVICE_NEWSFEED, name = "NewsFeed模块路由服务")
class NewsFeedComponentServiceImpl : INewsFeedComponentServer {

    //去NewsFeed的首页
    override fun startNewsFeedHomePage() {
        NewsFeedMainActivity.startInstance()
    }

    override fun startNewsFeedPostPage() {
        NewsFeedPostActivity.startInstance()
    }

    override fun obtainNewsFeedMainFragment(): Fragment {
        return NewsFeedMainFragment()
    }

    override fun init(context: Context?) {

    }

}